package com.jasamedika.medifirst2000.service;

import java.util.Map;

import com.jasamedika.medifirst2000.entities.StrukHistori;
import com.jasamedika.medifirst2000.vo.HistoriPelayananCsVO;
import com.jasamedika.medifirst2000.vo.StrukHistoriVO;

public interface HistoriPelayananCsService {

	public Map<String, Object> saveHistriPelayananCs(HistoriPelayananCsVO hpcsvo);
	
	public Map<String, Object> saveStrukHistori(StrukHistoriVO shvo);
	
	public String noHistori();
	
	public Map<String, Object> noDefault();
	
	public Map<String, Object> getListHistoriPelayananCs(Integer ruanganId);
	
	public Map<String, Object> getLoadData(Integer ruanganId);
	
	public Map<String, Object> getListPasienByNoCm(String noCm);
	
	public Map<String, Object> getListProdukInformasi();
	
	public Map<String, Object> getListHistoriCsByNorec(String norec);

}
